Bug 1023022 - Add analytic framework hooks to RHN download buttons
Add analytic framework hooks to RHN download buttons
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
MR55 (AMS)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Benjamin Miller
Nicole Yancey
CHG3301
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 09:12 EDT by Brooks
Modified: 2014-12-14 19:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-19 09:29:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brooks 2013-10-24 09:12:37 EDT
Description of Enhancement:

 

There is already analytics framework code implemented in production within CSP and RHN pages that is utilized during the page load, different pieces of information are scrapped from the customer portal chroming about the user whom is loading the page like browser type, device type, OS etc...

 

However, currently we do not know the user whom is loading the page and what product they are attempting to download along with other various pieces of information that are currently not being captured.

 

To accomplish obtaining this information we need to implment the analystics framework on the download buttons within RHN.

 

The method to accomplish this can be found here, https://docspace.corp.redhat.com/docs/DOC-57554


 

Best practices for reporting. https://docspace.corp.redhat.com/docs/DOC-143337

Analytics Framework https://docspace.corp.redhat.com/docs/DOC-149185

 

The exact information that we need to pass to Omniture once the download event is initiated by selecting any download button on page is:

1. User_ID 

2. Account Number

3. Product  ---- As specific as possible about exactly what product is being selected for download

4. session ID

5. Entire referring string

 

Business case:

Red Hat needs to know more about whom is initiating the download events and find out whom is downloading specific products.

 

 

Applications impacted by this change:

    RHN Download pages 

 

Use case 1:

Steps to Reproduce:

(Login with user that has full access to download RHN products)

Steps to Reproduce:

1.    Go to https://rhn.redhat.com/rhn/software/downloads/SupportedISOs.do
2.    Select ANY Download selection ex. https://rhn.redhat.com/rhn/software/channel/downloads/Download.do?cid=7594
3.    Select ANY link on page that initiates a .iso, package or any type of download on page

 

 

Expected results:

An event is fired to Omniture which contains the specific download values like:

1. User_ID 

2. Account Number 

3. Product  

4. session ID

5. Entire referring string



 

Acceptance criteria (be detailed):

The following information needs to be fired off to Omniture

1. User_ID  ---

2. Account Number ---

3. Product  ---- As specific as possible about exactly what product is being selected for download

4. session ID

5. Entire referring string

 

 

How To Test? (Set up and Reproduction Steps)

(SetUp)

1. Install Firebug

2. Add the Omnibug plugin into Firebug

3. Open Omnibug

(End Setup)

=========================

4. Go to https://rhn.redhat.com/rhn/software/downloads/SupportedISOs.do

5. Select ANY Download selection ex. https://rhn.redhat.com/rhn/software/channel/downloads/Download.do?cid=7594

6. Select any 'Download' button

7. There should be two "On-Click Events" that appear, expand the second click event

 

Expected Results:

Verify the correct values are within the:

User_ID field

Account Number

Product

session ID

Entire Referring string


Additional info:

 

This was requested by Shea within TASK0022917


Requested Go-Live date for this enhancement is with the release of MR55
Comment 1 Brooks 2013-10-24 09:19:57 EDT
US39640 is in AMS MR54
Comment 2 Jared Blashka 2013-11-05 11:09:42 EST
Code reviewed
Comment 3 Benjamin Miller 2013-11-05 11:41:04 EST
http://git.corp.redhat.com/cgit/rhn/rhn/commit/?id=f2a7bd2e8f06c3a751bc53bac9c8f39657586c4c

Added new javascript function that will be imported by both types of downloads (packages/errata, ISOs). Use Omnibug for testing and verify that event65 is sent (which corresponds to an RHNDownload action) when a download link is clicked.
Comment 4 Nicole Yancey 2013-11-06 15:36:40 EST
verified on https://am-rhn2.devlab.phx1.redhat.com/rhn/software/downloads/SupportedISOs.do for ISOs and Packages.

Link to test run - https://tcms.engineering.redhat.com/run/96270/

NOTE: Account Number not defined for eVar63.  It exists in QA, Stage and Prod.  Will verify account number is defined when fix is pushed to QA.
Comment 5 Nicole Yancey 2013-11-14 15:49:25 EST
verified in QA
Comment 6 Nicole Yancey 2013-11-19 09:29:36 EST
Released to Production 11/18

Note You need to log in before you can comment on or make changes to this bug.